/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function shopLevelItems(
  params,
  options,
) {
  return request('/admin/invest/users/level/list', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function shopLevelCreate(
  body,
  options,
) {
  return request('/admin/invest/users/level/add', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function shopLevelUpdate(
  body,
  options,
) {
  return request('/admin/invest/users/level/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function shopLevelDelete(
  body,
  options,
) {
  return request('/admin/invest/users/level/delete', {
    method: 'DELETE',
    params: { ...body },
    ...(options || {}),
  });
}


